/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.unterstuetzer.boundary;

import de.ivu.elect.business.unterstuetzer.entity.Eintragungsliste;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class EintragungslisteDAO extends AbstractEintragungslisteDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Eintragungsliste eintragungsliste){
    getEntityManager().persist(eintragungsliste);
  }

  public void remove(Eintragungsliste eintragungsliste){
    getEntityManager().remove(eintragungsliste);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                                
        /**
        * Name: WahlvorschlagNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Eintragungsliste obj WHERE obj.wahlvorschlag = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Eintragungsliste> findByWahlvorschlag( @javax.annotation.Nonnull de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag wahlvorschlag) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Eintragungsliste.findByWahlvorschlag" ,  wahlvorschlag  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlvorschlag( wahlvorschlag  ));
        }
        return (java.util.List<Eintragungsliste>) cached;
        }
            return super.findByWahlvorschlag( wahlvorschlag  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}